import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:satu/shared/app_colors.dart';
import 'package:satu/shared/shared_styles.dart';
import 'package:satu/widgets/dialog/modal_select_dialog.dart';

class ProductHeaderBar extends StatelessWidget {
  final int count;
  final num sum;

  const ProductHeaderBar({Key? key, required this.count, required this.sum})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 15.w, vertical: 10.w),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'Итого: $sum тнг',
            style: TextStyle(
                fontWeight: FontWeight.w700,
                color: blackColor,
                fontSize: ScreenUtil().setSp(20)),
          ),
          Text(
            'Товаров выбрано: $count',
            style: TextStyle(
                fontWeight: FontWeight.w400,
                color: blackColor,
                fontSize: ScreenUtil().setSp(15)),
          ),
        ],
      ),
    );
  }
}
